From 058d0ccbb7553def2ee3cfdc36b18ac49bfe81f3 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:43:15 -0500
Subject: [PATCH 09/26] avoid shadow vars: clauses.c: querytree_list

commit e717a9a18b2e34c9c40e5259ad4d31cd7e420750
Author: Peter Eisentraut <peter@eisentraut.org>
Date:   Wed Apr 7 21:30:08 2021 +0200

    SQL-standard function body
---
 src/backend/optimizer/util/clauses.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/backend/optimizer/util/clauses.c b/src/backend/optimizer/util/clauses.c
index 533df86ff77..cfccdd08b5a 100644
--- a/src/backend/optimizer/util/clauses.c
+++ b/src/backend/optimizer/util/clauses.c
@@ -4540,16 +4540,16 @@ inline_function(Oid funcid, Oid result_type, Oid result_collid,
 	if (!isNull)
 	{
 		Node	   *n;
-		List	   *querytree_list;
+		List	   *this_querytree_list;
 
 		n = stringToNode(TextDatumGetCString(tmp));
 		if (IsA(n, List))
-			querytree_list = linitial_node(List, castNode(List, n));
+			this_querytree_list = linitial_node(List, castNode(List, n));
 		else
-			querytree_list = list_make1(n);
-		if (list_length(querytree_list) != 1)
+			this_querytree_list = list_make1(n);
+		if (list_length(this_querytree_list) != 1)
 			goto fail;
-		querytree = linitial(querytree_list);
+		querytree = linitial(this_querytree_list);
 
 		/*
 		 * Because we'll insist below that the querytree have an empty rtable
-- 
2.17.1

